Bug 156188 - [patch] new port security/barnyard2-sguil
Summary: [patch] new port security/barnyard2-sguil
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-05 01:00 UTC by Olli Hauer
Modified: 2011-05-15 18:35 UTC (History)
1 user (show)

See Also:


Attachments
barnyard2-sguil.patch (1.05 KB, patch)
2011-04-05 01:00 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2011-04-05 01:00:25 UTC
security/barnyard is gone now and security/barnyard-sguil should be removed
additional.

Since we do not need any patches to build this new port I don't prefer a repocopy.

The attached patch expires the old security/barnyard-sguil port and connects
the new port security/barnyard2-sguil to the tree.

Build was tested against pgsql-8.4.7 amd mysql-5.5.10 without issues.

Build logs:
http://people.freebsd.org/~ohauer/diffs/barnyard2-sguil_mysql.log
http://people.freebsd.org/~ohauer/diffs/barnyard2-sguil_pgsql.log
Comment 1 Edwin Groothuis freebsd_committer 2011-04-05 01:00:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2011-05-15 18:10:50 UTC
ohauer      2011-05-15 17:09:38 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    security             Makefile 
    security/barnyard2   Makefile 
  Added files:
    security/barnyard2/files patch-configure 
    security/barnyard2-sguil Makefile 
  Removed files:
    security/barnyard-sguil Makefile 
    security/barnyard-sguil/files patch-barnyard.conf 
                                  patch-configure.in 
                                  patch-op-sguil.c 
                                  patch-op_plugbase.c 
                                  patch-op_sguil.h 
  Log:
  - add patch to barnyard2 to allow build with postgresql and tcl
    (reported and fixed upstream)
  - display option TCL only for Master port, it makes no sense if
    the slave can de-select a required option
  - remove broken barnyard-sguil (master port was removed 2011-04-04)
  - add new port barnyard2-sguil [1]
  - add entry to MOVED
  
  PR:             ports/156188 [1]
  Submitted by:   me
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.2459    +3 -1      ports/MOVED
  1.1171    +1 -1      ports/security/Makefile
  1.6       +0 -21     ports/security/barnyard-sguil/Makefile (dead)
  1.3       +0 -150    ports/security/barnyard-sguil/files/patch-barnyard.conf (dead)
  1.3       +0 -74     ports/security/barnyard-sguil/files/patch-configure.in (dead)
  1.2       +0 -1873   ports/security/barnyard-sguil/files/patch-op-sguil.c (dead)
  1.2       +0 -20     ports/security/barnyard-sguil/files/patch-op_plugbase.c (dead)
  1.2       +0 -26     ports/security/barnyard-sguil/files/patch-op_sguil.h (dead)
  1.1       +12 -0     ports/security/barnyard2-sguil/Makefile (new)
  1.9       +10 -8     ports/security/barnyard2/Makefile
  1.1       +190 -0    ports/security/barnyard2/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Olli Hauer freebsd_committer 2011-05-15 18:34:23 UTC
State Changed
From-To: open->closed

Committed, with minor changes